<?php

use Carbon\Carbon;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSignInsTables extends Migration
{
    public function up(): void
    {
        Schema::create('sign_ins', function (Blueprint $table): void {
            $table->increments('id');
            $table->unsignedInteger('userable_id');
            $table->string('userable_type');

            $table->unsignedInteger('locationable_id');
            $table->string('locationable_type');

            $table->dateTime('signed_in_at')->default(Carbon::now());
            $table->dateTime('signed_out_at')->nullable();
            $table->timestamps();
        });
    }
}
