<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDelegateEventTable extends Migration
{
    public function up(): void
    {
        Schema::create('delegate_event', function (Blueprint $table): void {
            $table->increments('id');
            $table->unsignedInteger('delegate_id');
            $table->unsignedInteger('event_id');
            $table->unsignedBigInteger('pathway_id');
            $table->string('status');

            $table->timestamps();

            $table->index('delegate_id');
            $table->index('event_id');
            $table->index('pathway_id');
        });
    }
}
