<?php

namespace EventPortal\Domain\ActionList\Facades;

// phpcs:disable SlevomatCodingStandard.Namespaces.UnusedUses.UnusedUse
use EventPortal\Domain\ActionList\ActionList;
// phpcs:enable
use EventPortal\Domain\ActionList\ActionListTemplateRegistry;
use Illuminate\Support\Facades\Facade;

/**
 * @method ActionListTemplate make(string $type)
 * @method ActionListTemplate addList(ActionList $actionList)
 * @method ActionListTemplate get()
 */
class ActionListTemplate extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return ActionListTemplateRegistry::class;
    }
}
